Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Class PropertyValueChangeType

    java.lang.Object
      com.ibm.portal.propertybroker.property.PropertyValueChangeType

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyValueChangeType

extends java.lang.Object
implements java.io.Serializable

Typesafe enum pattern storing the possible reasons why a property value change was generated - e.g. the value was created, deleted, updated, queried, or the reason for change may be unspecified. May be passed to methods for creating `PropertyValue` objects.

Since:
  5.1.0.1
See Also:
  Serialized Form

Field Summary
`static PropertyValueChangeType` | `CREATED` The property value change is being propagated as the value was newly created
`static PropertyValueChangeType` | `DELETED` The property value change is being propagated as the value was deleted
`static PropertyValueChangeType` | `QUERIED` The property value change is being propagated as the value was obtained in a query
`static PropertyValueChangeType` | `UNSPECIFIED` The property value change is being propagated but the reason for change is unspecified
`static PropertyValueChangeType` | `UPDATED` The property value change is being propagated as the value was updated

Constructor Summary
`protected` | `PropertyValueChangeType(java.lang.String changeType)` Constructor that can only be used by this class or subclasses

Method Summary
`boolean` | `equals(java.lang.Object that)` Marked final to ensure that subclasses do not change this method
`int` | `hashCode()` Marked final to ensure that subclasses do not change this method
`java.lang.String` | `toString()` Override default
`static boolean` | `validateChangeType(PropertyValueChangeType changeType)` A utility method which checks that the input parameter is one of the predefined constants defined in this class.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final PropertyValueChangeType CREATED

  The property value change is being propagated as the value was newly created

### UPDATED

    public static final PropertyValueChangeType UPDATED

  The property value change is being propagated as the value was updated

### DELETED

    public static final PropertyValueChangeType DELETED

  The property value change is being propagated as the value was deleted

### QUERIED

    public static final PropertyValueChangeType QUERIED

  The property value change is being propagated as the value was obtained in a query

### UNSPECIFIED

    public static final PropertyValueChangeType UNSPECIFIED

  The property value change is being propagated but the reason for change is unspecified

Constructor Detail

### PropertyValueChangeType

    protected PropertyValueChangeType(java.lang.String changeType)

  Constructor that can only be used by this class or subclasses

Method Detail

### toString

    public java.lang.String toString()

  Override default

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object that)

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `hashCode` in class `java.lang.Object`

### validateChangeType

    public static boolean validateChangeType(PropertyValueChangeType changeType)

  A utility method which checks that the input parameter is one of the predefined constants defined in this class.

  Parameters:
    `changeType` - the change type
  Returns:
    true if the input parameter is one of the change type values defined in this class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD